org.apache.poi.xssf.usermodel

## Class XSSFPivotCache

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xssf.usermodel.XSSFPivotCache

-     public class XSSFPivotCache
      extends POIXMLDocumentPart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XSSFPivotCache()`
    `` | `XSSFPivotCache(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCache ctPivotCache)`
    `protected` | `XSSFPivotCache(PackagePart part)` Creates n XSSFPivotCache representing the given package part and relationship.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCache` | `getCTPivotCache()`
    `protected void` | `readFrom(java.io.InputStream is)`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFPivotCache

          @Beta
          public XSSFPivotCache()

    - #### XSSFPivotCache

          @Beta
          public XSSFPivotCache(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCache ctPivotCache)

    - #### XSSFPivotCache

          @Beta
          protected XSSFPivotCache(PackagePart part)
                                  throws java.io.IOException

      Creates n XSSFPivotCache representing the given package part and relationship. Should only be called when reading in an existing file.
      Parameters:
        `part` - - The package part that holds xml data representing this pivot cache definition.
      Throws:
        `java.io.IOException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### readFrom

          @Beta
          protected void readFrom(java.io.InputStream is)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCTPivotCache

          @Beta
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCache getCTPivotCache()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.